Package com.independentsoft.office.odf

# Class Paragraph

java.lang.Object
com.independentsoft.office.odf.Paragraph

All Implemented Interfaces:
  `IDrawText`, `ICellContent`, `IContentElement`, `IIndexContent`, `ITextContent`, `IHeaderFooterContent`

public class Paragraph extends Object implements ITextContent, IDrawText, IHeaderFooterContent
Represents a paragraph, which is the basic unit of text in an OpenDocument file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Paragraph()`
  Initializes a new instance of the Paragraph class.
  `Paragraph​(InternalXMLStreamReader reader)`
  Instantiates a new paragraph.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(Annotation annotation)`
  Adds an Annotation object to the content.
  `void`
  `add​(AttributedText attributedText)`
  Adds an AttributedText object to the content.
  `void`
  `add​(Bookmark bookmark)`
  Adds a Bookmark object to the content.
  `void`
  `add​(BookmarkEnd bookmarkEnd)`
  Adds a BookmarkEnd object to the content.
  `void`
  `add​(BookmarkStart bookmarkStart)`
  Adds a BookmarkStart object to the content.
  `void`
  `add​(Change change)`
  Adds a Change object to the content.
  `void`
  `add​(ChangeEnd changeEnd)`
  Adds a ChangeEnd object to the content.
  `void`
  `add​(ChangeStart changeStart)`
  Adds a ChangeStart object to the content.
  `void`
  `add​(Shape shape)`
  Adds a Shape object to the content.
  `void`
  `add​(Field field)`
  Adds a Field object to the content.
  `void`
  `add​(Hyperlink hyperlink)`
  Adds a Hyperlink object to the content.
  `void`
  `add​(IParagraphContent paragraphContent)`
  Adds an IParagraphContent object to the content.
  `void`
  `add​(Note note)`
  Adds a Note object to the content.
  `void`
  `add​(PointReference pointReference)`
  Adds a PointReference object to the content.
  `void`
  `add​(RangeReference rangeReference)`
  Adds a RangeReference object to the content.
  `void`
  `add​(Ruby ruby)`
  Adds a Ruby object to the content.
  `void`
  `add​(Text text)`
  Adds a Text object to the content.
  `void`
  `add​(String text)`
  Adds a String object to the content.
  `void`
  `addLineBreak()`
  Adds a single line break to the content.
  `void`
  `addSpace()`
  Adds a single space to the content.
  `void`
  `addSpace​(int spaceCount)`
  Adds a single space to the content.
  `void`
  `addTab()`
  Adds a single tab to the content.
  `Paragraph`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getClassNames()`
  Gets a white space separated list of paragraph style names.
  `String`
  `getConditionalStyle()`
  Gets the conditional-style, that is, a style that contains conditions and maps to other styles.
  `List<IParagraphContent>`
  `getContent()`
  Contains a collection of paragraph content elements.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `String`
  `getID()`
  Gets an identifier for an element.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getStyle()`
  Gets the style that shall have the family paragraph.
  `void`
  `setClassNames​(String classNames)`
  Sets a white space separated list of paragraph style names.
  `void`
  `setConditionalStyle​(String conditionalStyle)`
  Sets the conditional-style, that is, a style that contains conditions and maps to other styles.
  `void`
  `setID​(String id)`
  Sets an identifier for an element.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setStyle​(String style)`
  Sets the style that shall have the family paragraph.
  `String`
  `toString()`
  Converts the value of the current Paragraph object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Paragraph

    public Paragraph()
    Initializes a new instance of the Paragraph class.

  - ### Paragraph

    public Paragraph​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new paragraph.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### addSpace

    public void addSpace()
    Adds a single space to the content.

  - ### addSpace

    public void addSpace​(int spaceCount)
    Adds a single space to the content.
    Parameters:
      `spaceCount` - the space count

  - ### addTab

    public void addTab()
    Adds a single tab to the content.

  - ### addLineBreak

    public void addLineBreak()
    Adds a single line break to the content.

  - ### add

    public void add​(String text)
    Adds a String object to the content.
    Parameters:
      `text` - the text

  - ### add

    public void add​(Text text)
    Adds a Text object to the content.
    Parameters:
      `text` - the text

  - ### add

    public void add​(Annotation annotation)
    Adds an Annotation object to the content.
    Parameters:
      `annotation` - the annotation

  - ### add

    public void add​(AttributedText attributedText)
    Adds an AttributedText object to the content.
    Parameters:
      `attributedText` - the attributed text

  - ### add

    public void add​(Hyperlink hyperlink)
    Adds a Hyperlink object to the content.
    Parameters:
      `hyperlink` - the hyperlink

  - ### add

    public void add​(Field field)
    Adds a Field object to the content.
    Parameters:
      `field` - the field

  - ### add

    public void add​(Bookmark bookmark)
    Adds a Bookmark object to the content.
    Parameters:
      `bookmark` - the bookmark

  - ### add

    public void add​(BookmarkStart bookmarkStart)
    Adds a BookmarkStart object to the content.
    Parameters:
      `bookmarkStart` - the bookmark start

  - ### add

    public void add​(BookmarkEnd bookmarkEnd)
    Adds a BookmarkEnd object to the content.
    Parameters:
      `bookmarkEnd` - the bookmark end

  - ### add

    public void add​(Change change)
    Adds a Change object to the content.
    Parameters:
      `change` - the change

  - ### add

    public void add​(ChangeEnd changeEnd)
    Adds a ChangeEnd object to the content.
    Parameters:
      `changeEnd` - the change end

  - ### add

    public void add​(ChangeStart changeStart)
    Adds a ChangeStart object to the content.
    Parameters:
      `changeStart` - the change start

  - ### add

    public void add​(Shape shape)
    Adds a Shape object to the content.
    Parameters:
      `shape` - the shape

  - ### add

    public void add​(Note note)
    Adds a Note object to the content.
    Parameters:
      `note` - the note

  - ### add

    public void add​(Ruby ruby)
    Adds a Ruby object to the content.
    Parameters:
      `ruby` - the ruby

  - ### add

    public void add​(PointReference pointReference)
    Adds a PointReference object to the content.
    Parameters:
      `pointReference` - the point reference

  - ### add

    public void add​(RangeReference rangeReference)
    Adds a RangeReference object to the content.
    Parameters:
      `rangeReference` - the range reference

  - ### add

    public void add​(IParagraphContent paragraphContent)
    Adds an IParagraphContent object to the content.
    Parameters:
      `paragraphContent` - the paragraph content

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public Paragraph clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IDrawText`
    Specified by:
      `clone` in interface `IHeaderFooterContent`
    Specified by:
      `clone` in interface `IIndexContent`
    Specified by:
      `clone` in interface `ITextContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Paragraph object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getContent

    public List<IParagraphContent> getContent()
    Contains a collection of paragraph content elements.
    Returns:
      the content

  - ### getConditionalStyle

    public String getConditionalStyle()
    Gets the conditional-style, that is, a style that contains conditions and maps to other styles.
    Returns:
      the conditional style

  - ### setConditionalStyle

    public void setConditionalStyle​(String conditionalStyle)
    Sets the conditional-style, that is, a style that contains conditions and maps to other styles.
    Parameters:
      `conditionalStyle` - the new conditional style

  - ### getClassNames

    public String getClassNames()
    Gets a white space separated list of paragraph style names.
    Returns:
      the class names

  - ### setClassNames

    public void setClassNames​(String classNames)
    Sets a white space separated list of paragraph style names.
    Parameters:
      `classNames` - the new class names

  - ### getStyle

    public String getStyle()
    Gets the style that shall have the family paragraph. If a conditional style is applied, this attribute has the name of the style that was the result of the conditional style evaluation.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the style that shall have the family paragraph. If a conditional style is applied, this attribute has the name of the style that was the result of the conditional style evaluation.
    Parameters:
      `style` - the new style

  - ### getID

    public String getID()
    Gets an identifier for an element.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets an identifier for an element.
    Parameters:
      `id` - the new id